package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ActiveDeviceRespVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ActiveDeviceRespVo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("status")
  private Integer status;

  public ActiveDeviceRespVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Get mac
   * @return mac
  */
  @ApiModelProperty(value = "")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public ActiveDeviceRespVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * active device status(0: success;-2002: device already active;-2003: license not enough;-2011: license category not match device;)
   * @return status
  */
  @ApiModelProperty(value = "active device status(0: success;-2002: device already active;-2003: license not enough;-2011: license category not match device;)")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActiveDeviceRespVo activeDeviceRespVo = (ActiveDeviceRespVo) o;
    return Objects.equals(this.mac, activeDeviceRespVo.mac) &&
        Objects.equals(this.status, activeDeviceRespVo.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ActiveDeviceRespVo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

